Kerbal Space Program - Bug #24998

Bug on Skipper test mission.

03/06/2020 02:25 AM - tiriss

Status: Not a Bug Start date: 03/06/2020
Severity: Low % Done: 0%
Assignee: Robert.Keech
Category: Gameplay
Target version:
Version: 1.9.1 Language: English (US)
Platform: Linux, Windows Mod Related: No
Expansion: Breaking Ground, Core Game, Making

History
Description

| use no mods but both making history and breaking ground expansions. Nearly all of the information for this bug is posted on the
Steam forums at this discussion:
https://steamcommunity.com/app/220200/discussions/0/1755779919109649928/

| can't count how many times I've tried this mission with all parameters met yet no confirmation or credit.

If you look at my public screenshots you can see both before and after pics of all parameters met prior to activating the skipper stage
and after.
It happens in both Windows (win7pro64) and Linux (ubuntu19.04) clients.

Finally | activated cheat mode and forced complete in my windows client. BTW, all were done from the same ntfs savegame. When
| set up ubuntu, | created a soft link to the windows save games. | tried to activate cheatmode in ubuntu, but the keyboard
remapping flummoxed me. ctrl-alt-f12 in windows but left alt is something weird in ubuntu, thus right shift for crazy stuff but couldn't
figure it out.

It's low priority but annoying as heck. | spent a week of gameplay and the forums list more details and recommendations from fellow
users offering advice (all tried to no avail).

History

#1 - 03/06/2020 12:55 PM - Robert.Keech

- Assignee set to Robert.Keech

Can you please attach a save game from before the contract was completed?
Also was this save game created before or after updating to 1.9?

#2 - 03/06/2020 01:23 PM - Robert.Keech

- Status changed from New to Need More Info

#3 - 03/07/2020 04:20 AM - tiriss

I'm updating with my save game as requested. The actual game Ipst is (launch pad skipper test) but it's still too big to upload here. It's 6.1MB and |
tried to email it but the no-reply email doesn't accept any email.

Any suggestions? | had to delete everything but the last save game before | cheated. I'm not sure how to get it to 5MB.
#4 - 03/08/2020 06:31 PM - tiriss

- File xaa added
- File xab added

I've split the saved archive into 5MB chunks using split. These should combine into yandros4.zip. To reassemble use the following command:
cat xa* >yandrosé4.zip.

To validate the archive:

yandros@solubuntu:~$ md5sum yandros4.zip
https://steamcommunity.com/app/220200/discussions/0/1755779919109649928/

30e5a0da4dcaeab2de99ace9d895b4bd yandros4.zip
The save game is Ipst (launchpad skipper test).

#5 - 03/09/2020 01:18 PM - Robert.Keech

tiriss wrote:

I've split the saved archive into 5SMB chunks using split. These should combine into yandros4.zip. To reassemble use the following command:
cat xa* >yandros4.zip.

To validate the archive:

yandros@solubuntu:~$ md5sum yandros4.zip
30e5a0da4dcaeab2de99ace9d895b4bd yandros4.zip

The save game is Ipst (launchpad skipper test).

was this save game created before or after updating to 1.9?

#6 - 03/09/2020 01:32 PM - Robert.Keech
- Status changed from Need More Info to Not a Bug

Not a bug. You're using the old version of the Skipper engine to run the test. Swap the old skipper out for the new version and the test will run.
#7 - 03/09/2020 11:47 PM - tiriss

Thanks so much for finding out what was wrong. I'll update the forums so they know to check for this if they encounter a similar situation. | was
beginning to think | was a terrible pilot.

Files
xaa 5 MB 03/08/2020 tiriss
xab 885 KB 03/08/2020 tiriss
